%define url_ver %(echo %{version}|cut -d. -f1,2)
%define major 8
%define gir_major 1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gir_major}
%define devname %mklibname -d %{name}

Summary: MATE Bluetooth Subsystem
Name:    mate-bluetooth
Version: 1.6.0
Release: %mkrel 3
License: GPLv2+ and LGPLv2+
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: mate-common
BuildRequires: mate-file-manager-sendto-devel
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(unique-1.0)

Requires: bluez
Requires: obexd

%description
The mate-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package -n %{libname}
Group: System/Libraries
Summary: MATE bluetooth library

%description -n %{libname}
Library from MATE-Bluetooth.

%package -n %{girname}
Group: System/Libraries
Summary: GObject Introspection interface for %{name}

%description -n %{girname}
GObject Introspection interface for %{name}.

%package -n %{devname}
Group: Development/C
Summary: Development libraries and header files from %{name}
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development libraries and header files from %{name}

%package -n mate-file-manager-sendto-bluetooth
Summary: Send files from mate-file-manager to bluetooth
Group:      Graphical desktop/MATE
Requires:   mate-file-manager-sendto
Requires:   %{name} = %{version}
Provides:   caja-sendto-bluetooth = %{version}-%{release}
Obsoletes:   caja-sendto-bluetooth =< %{version}-%{release}

%description -n mate-file-manager-sendto-bluetooth
This application provides integration between mate-file-manager and bluetooth.
It adds a mate-file-manager context menu component ("Send To...") and features
a dialog for insert the bluetooth device which you want to send the
file/files.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
    --enable-shared \
    --disable-static \
    --disable-desktop-update \
    --disable-icon-update
    
%make
%install
%makeinstall_std
%find_lang %{name} --all-name --with-gnome

cat %name.lang >> MateBluetooth.lang
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
    echo "%lang($(basename "$omf"|sed -e s/.*-// -e s/.omf//)) $(echo "$omf"|sed s!%buildroot!!)" >> MateBluetooth.lang
done

find %{buildroot} -name *.la -delete

%files -f MateBluetooth.lang
%doc README AUTHORS
%{_sysconfdir}/xdg/autostart/mate-bluetooth-applet.desktop
%{_bindir}/*
%{_libdir}/%{name}/plugins/libgbtgeoclue.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_datadir}/applications/mate-bluetooth-properties.desktop
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.gschema.xml
%{_datadir}/MateConf/gsettings/mate-bluetooth
%{_datadir}/%{name}
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_iconsdir}/mate/*/*/*.*
%{_mandir}/man1/*
%{_datadir}/mate/help

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/MateBluetooth-%{gir_major}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MateBluetooth-1.0.gir

%files -n mate-file-manager-sendto-bluetooth
%{_libdir}/caja-sendto/plugins/libnstbluetooth.so
%{_datadir}/MateConf/gsettings/mate-bluetooth-nst
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.nst.gschema.xml



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 541714
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dams <dams> 1.6.0-2.mga4
+ Revision: 496379
- remove 'gvfs-obexftp' as a require (no more provided)

* Thu Aug 01 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461900
- fix buildrequires
- add mkrel

  + tarakbumba <tarakbumba>
    - imported package mate-bluetooth

